Bug 24787 - xorg-server-1.7.1(xf86-video-nv-2.1.15) crashes with segfault at Quadro NVS 140M
xorg-server-1.7.1(xf86-video-nv-2.1.15) crashes with segfault at Quadro NVS 140M
Status: RESOLVED WONTFIX
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open)
7.4 (2008.09)
Other All
: high critical
Assigned To: Aaron Plattner
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-29 06:18 UTC by Juergen Rose
Modified: 2012-01-22 12:30 UTC (History)
7 users (show)

See Also:
i915 platform:
i915 features:


Attachments
/var/log/Xorg.0.log using /root/xorg.conf.new (12.34 KB, text/plain)
2009-10-29 06:18 UTC, Juergen Rose
no flags Details
/root/xorg.conf.new (2.51 KB, application/octet-stream)
2009-10-29 06:47 UTC, Juergen Rose
no flags Details
Xorg.0.log (26.05 KB, text/x-log)
2009-11-19 09:59 UTC, Gianluca Spano
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2009-10-29 06:18:13 UTC
Created attachment 30800 [details]
/var/log/Xorg.0.log using /root/xorg.conf.new

After setting -ggdb in CFLAGS, compiling again libpciaccess, xorg-server, xf86-video-nv and trying to start without an xorg.conf I got:
  root@lynx:/root(4)# X

X.Org X Server 1.7.1
Release Date: 2009-10-23
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.31-gentoo-r4 x86_64 
Current Operating System: Linux lynx 2.6.31-gentoo-r4 #2 SMP Thu Oct 29
10:42:02 CET 2009 x86_64
Kernel command line: root=/dev/sda6 video=vesa:ywrap,mtrr:3 vga=872
Build Date: 29 October 2009  12:30:21PM

Current version of pixman: 0.16.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct 29 12:35:18 2009
(==) Using default built-in configuration (30 lines)
(EE) Failed to load module "fbdev" (module does not exist, 0)

Backtrace:
0: X (xorg_backtrace+0x28) [0x467668]
1: X (0x400000+0x5dc96) [0x45dc96]
2: /lib/libpthread.so.0 (0x7f5aba757000+0xea30) [0x7f5aba765a30]
3: /usr/lib64/xorg/modules/drivers/nv_drv.so (0x7f5ab7382000+0x1e9ba)
[0x7f5ab73a09ba]
4: /usr/lib64/xorg/modules/drivers/nv_drv.so (0x7f5ab7382000+0x1d3ce)
[0x7f5ab739f3ce]
5: X (InitOutput+0x53e) [0x47278d]
6: X (0x400000+0x24eef) [0x424eef]
7: /lib/libc.so.6 (__libc_start_main+0xfd) [0x7f5ab93a6a3d]
8: X (0x400000+0x24c59) [0x424c59]
Segmentation fault at address 0x78

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


The same result I get, if I use a xorg.conf.new generated by 
X -configure
and uncommenting the line
       Option     "NoAccel"                    # [<bool>]

Starting X under gdb I see the following output:
oot@lynx:/root(17)# gdb X
GNU gdb (Gentoo 7.0 p1) 7.0
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /usr/bin/X...Reading symbols from
/usr/lib64/debug/usr/bin/Xorg.debug...done.
(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/X 
[Thread debugging using libthread_db enabled]

X.Org X Server 1.7.1
Release Date: 2009-10-23
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.31-gentoo-r4 x86_64 
Current Operating System: Linux lynx 2.6.31-gentoo-r4 #2 SMP Thu Oct 29
10:42:02 CET 2009 x86_64
Kernel command line: root=/dev/sda6 video=vesa:ywrap,mtrr:3 vga=872
Build Date: 29 October 2009  12:30:21PM

Current version of pixman: 0.16.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct 29 12:35:44 2009
(==) Using default built-in configuration (30 lines)
[tcsetpgrp failed in terminal_inferior: Operation not permitted]
(EE) Failed to load module "fbdev" (module does not exist, 0)

Program received signal SIGSEGV, Segmentation fault.
G80CreateOutputs (pScrn=0x1611a20) at g80_output.c:471
471     g80_output.c: No such file or directory.
        in g80_output.c
Comment 1 Juergen Rose 2009-10-29 06:47:45 UTC
Created attachment 30805 [details]
/root/xorg.conf.new
Comment 2 Aaron Plattner 2009-10-29 14:39:27 UTC
Thanks for the backtrace, that was helpful.  It looks like the code doesn't fail gracefully when it fails to find the LVDS native mode:

(WW) NV(0): Failed to find LVDS native mode

Assigning.  The fact that GetLVDSNativeMode is failing is a little concerning, but please file a separate bug for that.
Comment 3 Juergen Rose 2009-10-29 14:59:01 UTC
Hi Aaron,
perhaps an additional hint, I just tested xf86-video-nouveau-9999. It seems that it works without problems with xorg-server-1.7.1. what do you mean with your remark, that I should file a separate bug with failing GetLVDSNativeMode. 
I don't know, what it means that the GetLVDSNativeMode is failing and I don't know, where I should file this bug.

Regards Juergen
Comment 4 Marián Kyral 2009-11-02 11:01:39 UTC
Hi,
it crashing with nvidia binary driver as well. Bt looks similar.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x28) [0x4a3708]
1: /usr/bin/X (0x400000+0x6f6b9) [0x46f6b9]
2: /lib/libpthread.so.0 (0x3777200000+0xea40) [0x377720ea40]
3: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f823151a000+0xa4aa2) [0x7f82315beaa2]
4: /usr/lib64/xorg/modules/libwfb.so (wfbPadPixmap+0xbb) [0x7f82310e906b]
5: /usr/lib64/xorg/modules/libwfb.so (wfbValidateGC+0x301) [0x7f82310e93e1]
6: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f823151a000+0x349ad1) [0x7f8231863ad1]
7: /usr/bin/X (0x400000+0xd3cfa) [0x4d3cfa]
8: /usr/bin/X (ValidateGC+0x24) [0x44b404]
9: /usr/bin/X (0x400000+0x3dc88) [0x43dc88]
10: /usr/bin/X (0x400000+0x3fd5c) [0x43fd5c]
11: /usr/bin/X (0x400000+0x2510b) [0x42510b]
12: /lib/libc.so.6 (__libc_start_main+0xfd) [0x377661ea3d]
13: /usr/bin/X (0x400000+0x24cb9) [0x424cb9]
Segmentation fault at address 0x7f8223445000

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

Xorg starts, kde applications works correctly, but when I started Gimp, it crashes soon or later. And in Thubderbird I have one message that always causes the same crash. Seems to be gtk related. 
Comment 5 Marián Kyral 2009-11-04 23:22:18 UTC
Patch xserver-1.7.1-window-pictures.patch from Fedora src.rpm solved the issue for me.

http://koji.fedoraproject.org/koji/buildinfo?buildID=139777
Comment 6 Juergen Rose 2009-11-12 08:15:27 UTC
Hi Marian,

could you please describe a little bit more in detail, what you did in using the xserver-1.7.1-window-pictures.patch.

I downloaded xorg-x11-server-1.7.1-6.fc12.src.rpm, extracted xserver-1.7.1-window-pictures.patch, created a /usr/local/portage/x11-base/xorg-server overlay and copied xserver-1.7.1-window-pictures.patch into the /usr/local/portage/x11-base/xorg-server/files directory.

But I don't know, whether I need a additional 'epatch ${FILESDIR}"/"${PN}"-window-pictures.patch' statement or whether all files in the files directory are automatically taken into account.



Comment 7 Marián Kyral 2009-11-12 11:44:12 UTC
(In reply to comment #6)
> Hi Marian,
> 
> could you please describe a little bit more in detail, what you did in using
> the xserver-1.7.1-window-pictures.patch.
> 
> I downloaded xorg-x11-server-1.7.1-6.fc12.src.rpm, extracted
> xserver-1.7.1-window-pictures.patch, created a
> /usr/local/portage/x11-base/xorg-server overlay and copied
> xserver-1.7.1-window-pictures.patch into the
> /usr/local/portage/x11-base/xorg-server/files directory.
> 
> But I don't know, whether I need a additional 'epatch
> ${FILESDIR}"/"${PN}"-window-pictures.patch' statement or whether all files in
> the files directory are automatically taken into account.
> 

Hi,
you have to add patch to ebuild. Patches are not automatically included as there can be patches for different ebuild versions.


PATCHES=(
    "${UPSTREAMED_PATCHES[@]}"
    "${FILESDIR}/xserver-1.7.1-window-pictures.patch"
    )

Comment 8 Juergen Rose 2009-11-15 03:29:35 UTC
The patch of Comment #5 does not solve the issue for me. Even though I compiled with CFLAGS="-march=nocona -O2 -ggdb" FEATURES="... splitdebug ..." I see less Debugging output:
root@lynx:/usr/local/portage/x11-base(130)# X

X.Org X Server 1.7.1
Release Date: 2009-10-23
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.31-gentoo-r5 x86_64 
Current Operating System: Linux lynx 2.6.31-gentoo-r5 #2 SMP Fri Nov 13 21:38:07 CET 2009 x86_64
Kernel command line: root=/dev/sda6 vga=0x307
Build Date: 15 November 2009  12:40:55PM
 
Current version of pixman: 0.16.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Nov 15 12:53:08 2009
(==) Using default built-in configuration (30 lines)
(EE) Failed to load module "fbdev" (module does not exist, 0)

Backtrace:
0: X (xorg_backtrace+0x28) [0x467c00]
1: X (0x400000+0x5de16) [0x45de16]
2: /lib/libpthread.so.0 (0x7f8d6bfef000+0xf000) [0x7f8d6bffe000]
Segmentation fault at address (nil)

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


Please consult the The X.Org Foundation support 
         at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

Aborted
Comment 9 Julien Cristau 2009-11-15 05:31:05 UTC
> --- Comment #8 from Juergen Rose <rose@rz.uni-potsdam.de>  2009-11-15 03:29:35 PST ---
> The patch of Comment #5 does not solve the issue for me. Even though I compiled
> with CFLAGS="-march=nocona -O2 -ggdb" FEATURES="... splitdebug ..." I see less
> Debugging output:
> root@lynx:/usr/local/portage/x11-base(130)# X
> 
you'll get debugging output by using gdb, not directly from the
server...
Comment 10 Juergen Rose 2009-11-15 06:03:38 UTC
If I run X under gdb, I get essentially the same information:
root@lynx:/usr/local/portage/x11-base(147)# gdb X 
GNU gdb (Gentoo 7.0 p1) 7.0
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /usr/bin/X...Reading symbols from /usr/lib64/debug/usr/bin/Xorg.debug...done.
(no debugging symbols found)...done.
(gdb) run 
Starting program: /usr/bin/X 
[Thread debugging using libthread_db enabled]

X.Org X Server 1.7.1
Release Date: 2009-10-23
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.31-gentoo-r5 x86_64 
Current Operating System: Linux lynx 2.6.31-gentoo-r5 #2 SMP Fri Nov 13 21:38:07 CET 2009 x86_64
Kernel command line: root=/dev/sda6 vga=0x307
Build Date: 15 November 2009  01:34:43PM
 
Current version of pixman: 0.16.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Nov 15 16:01:44 2009
(==) Using default built-in configuration (30 lines)
[tcsetpgrp failed in terminal_inferior: Operation not permitted]
(EE) Failed to load module "fbdev" (module does not exist, 0)

Program received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
Comment 11 Juergen Rose 2009-11-15 16:24:51 UTC
The backtrace statement in gdb returns:

(gdb) backtrace

#0  0x0000000000000000 in ?? ()
#1  0x000000000047e3f3 in xf86CrtcSetModeTransform (crtc=0x2410bb0, mode=0x18, rotation=<value optimized out>, transform=<value optimized out>, x=<value optimized out>, y=<value optimized out>) at xf86Crtc.c:358
#2  0x000000000047e71a in xf86SetDesiredModes (scrn=0x240e9b0) at xf86Crtc.c:2639
#3  0x00007feb92f134f1 in AcquireDisplay (pScrn=0x240e9b0) at g80_driver.c:467
#4  0x00007feb92f13852 in G80ScreenInit (scrnIndex=<value optimized out>, pScreen=0x2413930, argc=<value optimized out>, argv=<value optimized out>) at g80_driver.c:894
#5  0x000000000044cbad in AddScreen (pfnInit=0x7feb92f13550 <G80ScreenInit>, argc=<value optimized out>, argv=0x7fff4f3a3408) at dispatch.c:4068
#6  0x000000000047309a in InitOutput (pScreenInfo=<value optimized out>, argc=<value optimized out>, argv=<value optimized out>) at xf86Init.c:1043
#7  0x0000000000424eef in main (argc=1, argv=0x7fff4f3a3408, envp=<value optimized out>) at main.c:204


or

(gdb) backtrace
#0  G80CreateOutputs (pScrn=0xd229b0) at g80_output.c:471
#1  0x00007fb91f3d33ce in G80PreInit (pScrn=0xd229b0, flags=<value optimized out>) at g80_driver.c:401
#2  0x0000000000472e3d in InitOutput (pScreenInfo=0x7bd140, argc=<value optimized out>, argv=<value optimized out>) at xf86Init.c:818
#3  0x0000000000424eef in main (argc=1, argv=0x7fff19512098, envp=<value optimized out>) at main.c:204

Comment 12 Gianluca Spano 2009-11-19 09:59:09 UTC
Created attachment 31317 [details]
Xorg.0.log

Xorg.0.log
Comment 13 Gianluca Spano 2009-11-19 10:02:13 UTC

Xorg.0.log

Same error on NVIDIA GeForce 8500 GT.


Comment 14 Corbin Simpson 2012-01-22 12:30:45 UTC
Nobody is supporting xf86-video-nv and it will be going away at some point in the future. If your problem persists with nouveau or the proprietary driver provided by nVidia, please re-file accordingly. We apologize for the inconvenience.

This is part of an automated bulk action; if you believe that this bug was closed in error, then change the targeted component and reopen it.